API 參考
Suno 取得時間戳歌詞
使用 get timestamped lyrics 端點,在同一回應中接收結果。
01
概覽
使用 get timestamped lyrics 端點,並從同一回應中讀取結果。
快速入門
- 建立 API 金鑰並將其設定為 RUNAPI_API_KEY。
- 傳送一個 POST 請求,其主體符合請求結構描述。
- 從成功的回應主體中讀取結果。
端點
- 基礎 URL
https://runapi.ai- API 版本
v1- 身分驗證
Authorization: Bearer YOUR_API_TOKEN
02
支援的模型
開啟模型頁面以查看目前的定價、速率限制及商業用途詳情。
03
JSON 請求內文請求綱要
僅傳送此端點宣告的欄位。
請求主體2 個欄位
audio_idstring
必填
來源任務中的音訊 ID。
task_idstring
必填
來源任務 ID。
04
HTTP 200成功回應
POST /api/v1/suno/get_timestamped_lyrics
回應綱要
JSON
{
"properties": {
"aligned_words": {
"items": {
"properties": {
"end_time": {
"type": "number"
},
"palign": {
"type": "number"
},
"start_time": {
"type": "number"
},
"success": {
"type": "boolean"
},
"word": {
"type": "string"
}
},
"required": [
"word",
"success",
"start_time",
"end_time",
"palign"
],
"type": "object",
"unevaluatedProperties": false
},
"type": "array"
},
"billing": {
"properties": {
"refund": {
"oneOf": [
{
"properties": {
"refunded_at": {
"type": "string"
}
},
"required": [
"refunded_at"
],
"type": "object",
"unevaluatedProperties": false
},
{
"enum": [
null
]
}
]
},
"reservation": {
"oneOf": [
{
"properties": {
"amount_cents": {
"type": "integer"
}
},
"required": [
"amount_cents"
],
"type": "object",
"unevaluatedProperties": false
},
{
"enum": [
null
]
}
]
},
"settlement": {
"oneOf": [
{
"properties": {
"amount_micro_cents": {
"type": "integer"
},
"charged_amount_cents": {
"type": "integer"
}
},
"required": [
"charged_amount_cents",
"amount_micro_cents"
],
"type": "object",
"unevaluatedProperties": false
},
{
"enum": [
null
]
}
]
}
},
"required": [
"reservation",
"settlement",
"refund"
],
"type": "object",
"unevaluatedProperties": false
},
"hoot_cer": {
"type": "number"
},
"is_streamed": {
"type": "boolean"
},
"waveform_data": {
"items": {
"type": "number"
},
"type": "array"
}
},
"required": [
"aligned_words",
"waveform_data",
"hoot_cer",
"is_streamed",
"billing"
],
"type": "object",
"unevaluatedProperties": false
}
回應範例
JSON
{
"aligned_words": [
{
"end_time": 0.6,
"palign": 0.98,
"start_time": 0.0,
"success": true,
"word": "Welcome"
}
],
"billing": {
"refund": null,
"reservation": null,
"settlement": null
},
"hoot_cer": 0.03,
"is_streamed": false,
"waveform_data": [
0.1,
0.4,
0.2
]
}
05
HTTP 401錯誤
POST /api/v1/suno/get_timestamped_lyrics
回應綱要
JSON
{
"properties": {
"error": {
"description": "人類可讀的錯誤訊息。",
"type": "string"
}
},
"required": [
"error"
],
"type": "object",
"unevaluatedProperties": false
}
回應範例
JSON
{
"error": "Authentication required"
}
06
HTTP 400錯誤
POST /api/v1/suno/get_timestamped_lyrics
回應綱要
JSON
{
"oneOf": [
{
"properties": {
"error": {
"description": "人類可讀的錯誤訊息。",
"type": "string"
}
},
"required": [
"error"
],
"type": "object",
"unevaluatedProperties": false
},
{
"properties": {
"error": {
"description": "人類可讀的驗證摘要。",
"type": "string"
},
"errors": {
"additionalProperties": {
"items": {
"type": "string"
},
"type": "array"
},
"description": "以公開請求欄位為索引鍵的驗證訊息,每個欄位包含一組人類可讀的字串陣列。",
"type": "object"
}
},
"required": [
"error",
"errors"
],
"type": "object",
"unevaluatedProperties": false
}
]
}
回應範例
JSON
{
"error": "Validation failed",
"errors": {
"task_id": [
"is required"
]
}
}
07
HTTP 402錯誤
POST /api/v1/suno/get_timestamped_lyrics
回應綱要
JSON
{
"properties": {
"error": {
"description": "人類可讀的錯誤訊息。",
"type": "string"
}
},
"required": [
"error"
],
"type": "object",
"unevaluatedProperties": false
}
回應範例
JSON
{
"error": "Insufficient balance"
}
08
HTTP 429錯誤
POST /api/v1/suno/get_timestamped_lyrics
回應綱要
JSON
{
"properties": {
"error": {
"description": "人類可讀的錯誤訊息。",
"type": "string"
}
},
"required": [
"error"
],
"type": "object",
"unevaluatedProperties": false
}
回應範例
JSON
{
"error": "API key credit limit exceeded"
}
09
HTTP 409錯誤
POST /api/v1/suno/get_timestamped_lyrics
回應綱要
JSON
{
"properties": {
"error": {
"description": "人類可讀的錯誤訊息。",
"type": "string"
}
},
"required": [
"error"
],
"type": "object",
"unevaluatedProperties": false
}
回應範例
JSON
{
"error": "The request uses features that are not supported for the selected model"
}
10
HTTP 429錯誤
POST /api/v1/suno/get_timestamped_lyrics
回應綱要
JSON
{
"properties": {
"error": {
"description": "人類可讀的錯誤訊息。",
"type": "string"
}
},
"required": [
"error"
],
"type": "object",
"unevaluatedProperties": false
}
回應範例
JSON
{
"error": "Rate limit reached. Please retry later."
}
11
HTTP 503錯誤
POST /api/v1/suno/get_timestamped_lyrics
回應綱要
JSON
{
"properties": {
"error": {
"description": "人類可讀的錯誤訊息。",
"type": "string"
}
},
"required": [
"error"
],
"type": "object",
"unevaluatedProperties": false
}
回應範例
JSON
{
"error": "Service under maintenance, please try again later"
}
12
HTTP 504錯誤
POST /api/v1/suno/get_timestamped_lyrics
回應綱要
JSON
{
"properties": {
"error": {
"description": "人類可讀的錯誤訊息。",
"type": "string"
}
},
"required": [
"error"
],
"type": "object",
"unevaluatedProperties": false
}
回應範例
JSON
{
"error": "The request timed out"
}
13
產生的程式碼範例
直接使用 cURL,或為您的程式語言安裝 SDK。每個範例均會提交本參考中所示的已驗證請求。
安裝
Shell
pip install runapi-suno
PYTHON
import os
from runapi.suno import SunoClient
client = SunoClient(api_key=os.environ["RUNAPI_API_KEY"])
result = client.get_timestamped_lyrics.run(
task_id="tsk_source_music",
audio_id="audio_reference"
)